
_SPI_Ethernet_UserTCP:

;serial_eth.c,204 :: 		unsigned int  SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthPktFlags *flags)
;serial_eth.c,206 :: 		unsigned int    len = 0 ;                   // my reply length
	CLRF       SPI_Ethernet_UserTCP_len_L0+0
	CLRF       SPI_Ethernet_UserTCP_len_L0+1
;serial_eth.c,214 :: 		if(localPort != 80)                         // I listen only to web request on port 80
	MOVLW      0
	XORWF      FARG_SPI_Ethernet_UserTCP_localPort+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__SPI_Ethernet_UserTCP14
	MOVLW      80
	XORWF      FARG_SPI_Ethernet_UserTCP_localPort+0, 0
L__SPI_Ethernet_UserTCP14:
	BTFSC      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP0
;serial_eth.c,216 :: 		return(0) ;
	CLRF       R0+0
	CLRF       R0+1
	RETURN
;serial_eth.c,217 :: 		}
L_SPI_Ethernet_UserTCP0:
;serial_eth.c,220 :: 		for(i = 0 ; i < 10 ; i++)
	CLRF       SPI_Ethernet_UserTCP_i_L0+0
	CLRF       SPI_Ethernet_UserTCP_i_L0+1
L_SPI_Ethernet_UserTCP1:
	MOVLW      0
	SUBWF      SPI_Ethernet_UserTCP_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__SPI_Ethernet_UserTCP15
	MOVLW      10
	SUBWF      SPI_Ethernet_UserTCP_i_L0+0, 0
L__SPI_Ethernet_UserTCP15:
	BTFSC      STATUS+0, 0
	GOTO       L_SPI_Ethernet_UserTCP2
;serial_eth.c,222 :: 		getRequest[i] = SPI_Ethernet_getByte() ;
	MOVF       SPI_Ethernet_UserTCP_i_L0+0, 0
	ADDLW      _getRequest+0
	MOVWF      FLOC__SPI_Ethernet_UserTCP+0
	CALL       _SPI_Ethernet_getByte+0
	MOVF       FLOC__SPI_Ethernet_UserTCP+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;serial_eth.c,220 :: 		for(i = 0 ; i < 10 ; i++)
	INCF       SPI_Ethernet_UserTCP_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       SPI_Ethernet_UserTCP_i_L0+1, 1
;serial_eth.c,223 :: 		}
	GOTO       L_SPI_Ethernet_UserTCP1
L_SPI_Ethernet_UserTCP2:
;serial_eth.c,224 :: 		getRequest[i] = 0 ;
	MOVF       SPI_Ethernet_UserTCP_i_L0+0, 0
	ADDLW      _getRequest+0
	MOVWF      FSR
	CLRF       INDF+0
;serial_eth.c,226 :: 		if(memcmp(getRequest, httpMethod, 5))       // only GET method is supported here
	MOVLW      _getRequest+0
	MOVWF      FARG_memcmp_s1+0
	MOVLW      _httpMethod+0
	MOVWF      FARG_memcmp_s2+0
	MOVLW      5
	MOVWF      FARG_memcmp_n+0
	MOVLW      0
	MOVWF      FARG_memcmp_n+1
	CALL       _memcmp+0
	MOVF       R0+0, 0
	IORWF      R0+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP4
;serial_eth.c,228 :: 		return(0) ;
	CLRF       R0+0
	CLRF       R0+1
	RETURN
;serial_eth.c,229 :: 		}
L_SPI_Ethernet_UserTCP4:
;serial_eth.c,231 :: 		httpCounter++ ;                             // one more request done
	MOVF       _httpCounter+0, 0
	MOVWF      R0+0
	MOVF       _httpCounter+1, 0
	MOVWF      R0+1
	MOVF       _httpCounter+2, 0
	MOVWF      R0+2
	MOVF       _httpCounter+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _httpCounter+0
	MOVF       R0+1, 0
	MOVWF      _httpCounter+1
	MOVF       R0+2, 0
	MOVWF      _httpCounter+2
	MOVF       R0+3, 0
	MOVWF      _httpCounter+3
;serial_eth.c,233 :: 		if(getRequest[5] == 's')                    // if request path name starts with s, store dynamic data in transmit buffer
	MOVF       _getRequest+5, 0
	XORLW      115
	BTFSS      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP5
;serial_eth.c,238 :: 		len = putConstString(httpHeader) ;              // HTTP header
	MOVLW      _httpHeader+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(_httpHeader+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	MOVWF      SPI_Ethernet_UserTCP_len_L0+0
	MOVF       R0+1, 0
	MOVWF      SPI_Ethernet_UserTCP_len_L0+1
;serial_eth.c,239 :: 		len += putConstString(httpMimeTypeScript) ;     // with text MIME type
	MOVLW      _httpMimeTypeScript+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(_httpMimeTypeScript+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,242 :: 		IntToStr(ADC_Read(2), dyna) ;
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       R0+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _dyna+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;serial_eth.c,243 :: 		len += putConstString("var AN2=") ;
	MOVLW      ?lstr_3_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_3_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,244 :: 		len += putString(dyna) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,245 :: 		len += putConstString(";") ;
	MOVLW      ?lstr_4_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_4_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,248 :: 		IntToStr(ADC_Read(3), dyna) ;
	MOVLW      3
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       R0+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _dyna+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;serial_eth.c,249 :: 		len += putConstString("var AN3=") ;
	MOVLW      ?lstr_5_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_5_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,250 :: 		len += putString(dyna) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,251 :: 		len += putConstString(";") ;
	MOVLW      ?lstr_6_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_6_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,254 :: 		len += putConstString("var PORTB=") ;
	MOVLW      ?lstr_7_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_7_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,255 :: 		IntToStr(PORTB, dyna) ;
	MOVF       PORTB+0, 0
	MOVWF      FARG_IntToStr_input+0
	CLRF       FARG_IntToStr_input+1
	MOVLW      _dyna+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;serial_eth.c,256 :: 		len += putString(dyna) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,257 :: 		len += putConstString(";") ;
	MOVLW      ?lstr_8_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_8_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,260 :: 		len += putConstString("var PORTD=") ;
	MOVLW      ?lstr_9_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_9_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,261 :: 		IntToStr(PORTD, dyna) ;
	MOVF       PORTD+0, 0
	MOVWF      FARG_IntToStr_input+0
	CLRF       FARG_IntToStr_input+1
	MOVLW      _dyna+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;serial_eth.c,262 :: 		len += putString(dyna) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,263 :: 		len += putConstString(";") ;
	MOVLW      ?lstr_10_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_10_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,266 :: 		IntToStr(httpCounter, dyna) ;
	MOVF       _httpCounter+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _httpCounter+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _dyna+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;serial_eth.c,267 :: 		len += putConstString("var REQ=") ;
	MOVLW      ?lstr_11_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_11_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,268 :: 		len += putString(dyna) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,269 :: 		len += putConstString(";") ;
	MOVLW      ?lstr_12_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(?lstr_12_serial_eth+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,270 :: 		}
	GOTO       L_SPI_Ethernet_UserTCP6
L_SPI_Ethernet_UserTCP5:
;serial_eth.c,271 :: 		else if(getRequest[5] == 't')                           // if request path name starts with t, toggle PORTD (LED) bit number that comes after
	MOVF       _getRequest+5, 0
	XORLW      116
	BTFSS      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP7
;serial_eth.c,273 :: 		unsigned char   bitMask = 0 ;                   // for bit mask
;serial_eth.c,275 :: 		if(isdigit(getRequest[6]))                      // if 0 <= bit number <= 9, bits 8 & 9 does not exist but does not matter
	MOVF       _getRequest+6, 0
	MOVWF      FARG_isdigit_character+0
	CALL       _isdigit+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP8
;serial_eth.c,277 :: 		bitMask = getRequest[6] - '0' ;         // convert ASCII to integer
	MOVLW      48
	SUBWF      _getRequest+6, 0
	MOVWF      R0+0
;serial_eth.c,278 :: 		bitMask = 1 << bitMask ;                // create bit mask
	MOVF       R0+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__SPI_Ethernet_UserTCP16:
	BTFSC      STATUS+0, 2
	GOTO       L__SPI_Ethernet_UserTCP17
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__SPI_Ethernet_UserTCP16
L__SPI_Ethernet_UserTCP17:
;serial_eth.c,279 :: 		PORTD ^= bitMask ;                      // toggle PORTD with xor operator
	MOVF       R0+0, 0
	XORWF      PORTD+0, 1
;serial_eth.c,280 :: 		}
L_SPI_Ethernet_UserTCP8:
;serial_eth.c,281 :: 		}
L_SPI_Ethernet_UserTCP7:
L_SPI_Ethernet_UserTCP6:
;serial_eth.c,283 :: 		if(len == 0)                                            // what do to by default
	MOVLW      0
	XORWF      SPI_Ethernet_UserTCP_len_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__SPI_Ethernet_UserTCP18
	MOVLW      0
	XORWF      SPI_Ethernet_UserTCP_len_L0+0, 0
L__SPI_Ethernet_UserTCP18:
	BTFSS      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserTCP9
;serial_eth.c,285 :: 		len =  putConstString(httpHeader) ;             // HTTP header
	MOVLW      _httpHeader+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(_httpHeader+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	MOVWF      SPI_Ethernet_UserTCP_len_L0+0
	MOVF       R0+1, 0
	MOVWF      SPI_Ethernet_UserTCP_len_L0+1
;serial_eth.c,286 :: 		len += putConstString(httpMimeTypeHTML) ;       // with HTML MIME type
	MOVLW      _httpMimeTypeHTML+0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVLW      hi_addr(_httpMimeTypeHTML+0)
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,287 :: 		len += putConstString(indexPage) ;              // HTML page first part
	MOVF       _indexPage+0, 0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVF       _indexPage+1, 0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,288 :: 		len += putConstString(indexPage2) ;             // HTML page second part
	MOVF       _indexPage2+0, 0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+0
	MOVF       _indexPage2+1, 0
	MOVWF      FARG_SPI_Ethernet_putConstString_ptr+1
	CALL       _SPI_Ethernet_putConstString+0
	MOVF       R0+0, 0
	ADDWF      SPI_Ethernet_UserTCP_len_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      SPI_Ethernet_UserTCP_len_L0+1, 1
;serial_eth.c,289 :: 		}
L_SPI_Ethernet_UserTCP9:
;serial_eth.c,291 :: 		return(len) ;                                           // return to the library with the number of bytes to transmit
	MOVF       SPI_Ethernet_UserTCP_len_L0+0, 0
	MOVWF      R0+0
	MOVF       SPI_Ethernet_UserTCP_len_L0+1, 0
	MOVWF      R0+1
;serial_eth.c,292 :: 		}
	RETURN
; end of _SPI_Ethernet_UserTCP

_SPI_Ethernet_UserUDP:

;serial_eth.c,304 :: 		unsigned int  SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength, TEthPktFlags *flags)
;serial_eth.c,309 :: 		ByteToStr(remoteHost[0], dyna) ;                // first IP address byte
	MOVF       FARG_SPI_Ethernet_UserUDP_remoteHost+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _dyna+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;serial_eth.c,310 :: 		dyna[3] = '.' ;
	MOVLW      46
	MOVWF      _dyna+3
;serial_eth.c,311 :: 		ByteToStr(remoteHost[1], dyna + 4) ;            // second
	INCF       FARG_SPI_Ethernet_UserUDP_remoteHost+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _dyna+4
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;serial_eth.c,312 :: 		dyna[7] = '.' ;
	MOVLW      46
	MOVWF      _dyna+7
;serial_eth.c,313 :: 		ByteToStr(remoteHost[2], dyna + 8) ;            // third
	MOVLW      2
	ADDWF      FARG_SPI_Ethernet_UserUDP_remoteHost+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _dyna+8
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;serial_eth.c,314 :: 		dyna[11] = '.' ;
	MOVLW      46
	MOVWF      _dyna+11
;serial_eth.c,315 :: 		ByteToStr(remoteHost[3], dyna + 12) ;           // fourth
	MOVLW      3
	ADDWF      FARG_SPI_Ethernet_UserUDP_remoteHost+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _dyna+12
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;serial_eth.c,317 :: 		dyna[15] = ':' ;                                // add separator
	MOVLW      58
	MOVWF      _dyna+15
;serial_eth.c,320 :: 		WordToStr(remotePort, dyna + 16) ;
	MOVF       FARG_SPI_Ethernet_UserUDP_remotePort+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       FARG_SPI_Ethernet_UserUDP_remotePort+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      _dyna+16
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;serial_eth.c,321 :: 		dyna[21] = '[' ;
	MOVLW      91
	MOVWF      _dyna+21
;serial_eth.c,322 :: 		WordToStr(destPort, dyna + 22) ;
	MOVF       FARG_SPI_Ethernet_UserUDP_destPort+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       FARG_SPI_Ethernet_UserUDP_destPort+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      _dyna+22
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;serial_eth.c,323 :: 		dyna[27] = ']' ;
	MOVLW      93
	MOVWF      _dyna+27
;serial_eth.c,324 :: 		dyna[28] = 0 ;
	CLRF       _dyna+28
;serial_eth.c,327 :: 		len = 28 + reqLength;
	MOVF       FARG_SPI_Ethernet_UserUDP_reqLength+0, 0
	ADDLW      28
	MOVWF      SPI_Ethernet_UserUDP_len_L0+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_SPI_Ethernet_UserUDP_reqLength+1, 0
	MOVWF      SPI_Ethernet_UserUDP_len_L0+1
;serial_eth.c,330 :: 		SPI_Ethernet_putBytes(dyna, 28) ;
	MOVLW      _dyna+0
	MOVWF      FARG_SPI_Ethernet_putBytes_ptr+0
	MOVLW      28
	MOVWF      FARG_SPI_Ethernet_putBytes_n+0
	MOVLW      0
	MOVWF      FARG_SPI_Ethernet_putBytes_n+1
	CALL       _SPI_Ethernet_putBytes+0
;serial_eth.c,333 :: 		while(reqLength--)
L_SPI_Ethernet_UserUDP10:
	MOVF       FARG_SPI_Ethernet_UserUDP_reqLength+0, 0
	MOVWF      R0+0
	MOVF       FARG_SPI_Ethernet_UserUDP_reqLength+1, 0
	MOVWF      R0+1
	MOVLW      1
	SUBWF      FARG_SPI_Ethernet_UserUDP_reqLength+0, 1
	BTFSS      STATUS+0, 0
	DECF       FARG_SPI_Ethernet_UserUDP_reqLength+1, 1
	MOVF       R0+0, 0
	IORWF      R0+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SPI_Ethernet_UserUDP11
;serial_eth.c,335 :: 		SPI_Ethernet_putByte(toupper(SPI_Ethernet_getByte())) ;
	CALL       _SPI_Ethernet_getByte+0
	MOVF       R0+0, 0
	MOVWF      FARG_toupper_character+0
	CALL       _toupper+0
	MOVF       R0+0, 0
	MOVWF      FARG_SPI_Ethernet_putByte_v+0
	CALL       _SPI_Ethernet_putByte+0
;serial_eth.c,336 :: 		}
	GOTO       L_SPI_Ethernet_UserUDP10
L_SPI_Ethernet_UserUDP11:
;serial_eth.c,338 :: 		return(len) ;           // back to the library with the length of the UDP reply
	MOVF       SPI_Ethernet_UserUDP_len_L0+0, 0
	MOVWF      R0+0
	MOVF       SPI_Ethernet_UserUDP_len_L0+1, 0
	MOVWF      R0+1
;serial_eth.c,339 :: 		}
	RETURN
; end of _SPI_Ethernet_UserUDP

_main:

;serial_eth.c,344 :: 		void    main()
;serial_eth.c,346 :: 		ANSEL = 0x0C ;          // AN2 and AN3 convertors will be used
	MOVLW      12
	MOVWF      ANSEL+0
;serial_eth.c,347 :: 		C1ON_bit = 0;           // Disable comparators
	BCF        C1ON_bit+0, 7
;serial_eth.c,348 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;serial_eth.c,350 :: 		TRISA = 0xff ;          // set PORTA as input for ADC
	MOVLW      255
	MOVWF      TRISA+0
;serial_eth.c,351 :: 		TRISB = 0xff ;          // set PORTB as input for buttons
	MOVLW      255
	MOVWF      TRISB+0
;serial_eth.c,352 :: 		TRISD = 0 ;             // set PORTD as output
	CLRF       TRISD+0
;serial_eth.c,354 :: 		PORTA = 0 ;
	CLRF       PORTA+0
;serial_eth.c,355 :: 		ANSELH = 0;             // Configure other AN pins as digital I/O
	CLRF       ANSELH+0
;serial_eth.c,356 :: 		PORTB = 0 ;
	CLRF       PORTB+0
;serial_eth.c,357 :: 		PORTD = 0 ;
	CLRF       PORTD+0
;serial_eth.c,366 :: 		SPI1_Init();
	CALL       _SPI1_Init+0
;serial_eth.c,367 :: 		SPI_Ethernet_Init(myMacAddr, myIpAddr, Spi_Ethernet_FULLDUPLEX) ;
	MOVLW      _myMacAddr+0
	MOVWF      FARG_SPI_Ethernet_Init_mac+0
	MOVLW      _myIpAddr+0
	MOVWF      FARG_SPI_Ethernet_Init_ip+0
	MOVLW      1
	MOVWF      FARG_SPI_Ethernet_Init_fullDuplex+0
	CALL       _SPI_Ethernet_Init+0
;serial_eth.c,369 :: 		while(1)                            // do forever
L_main12:
;serial_eth.c,374 :: 		SPI_Ethernet_doPacket() ;   // process incoming Ethernet packets
	CALL       _SPI_Ethernet_doPacket+0
;serial_eth.c,375 :: 		putString("Hello world!!");
	MOVLW      ?lstr13_serial_eth+0
	MOVWF      FARG_SPI_Ethernet_putString_ptr+0
	CALL       _SPI_Ethernet_putString+0
;serial_eth.c,381 :: 		}
	GOTO       L_main12
;serial_eth.c,382 :: 		}
	GOTO       $+0
; end of _main
