#line 1 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
#line 1 "e:/my_data/dev/micropic/ethernet/mikroc/__ethenc28j60.h"
#line 120 "e:/my_data/dev/micropic/ethernet/mikroc/__ethenc28j60.h"
extern unsigned char SPI_Ethernet_macAddr[6];
extern unsigned char SPI_Ethernet_ipAddr[4];

typedef struct {
 unsigned canCloseTCP: 1;
 unsigned isBroadcast: 1;
} TEthPktFlags;
#line 132 "e:/my_data/dev/micropic/ethernet/mikroc/__ethenc28j60.h"
extern void SPI_Ethernet_Init(unsigned char *resetPort, unsigned char resetBit, unsigned char *CSport, unsigned char CSbit, unsigned char *mac, unsigned char *ip, unsigned char fullDuplex);
extern unsigned char SPI_Ethernet_doPacket();
extern void SPI_Ethernet_putByte(unsigned char b);
extern void SPI_Ethernet_putBytes(unsigned char *ptr, unsigned int n);
extern void SPI_Ethernet_putConstBytes(const unsigned char *ptr, unsigned int n);
extern unsigned char SPI_Ethernet_getByte();
extern void SPI_Ethernet_getBytes(unsigned char *ptr, unsigned int addr, unsigned int n);
extern unsigned int SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthPktFlags * flags);
extern unsigned int SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthPktFlags * flags);
extern void SPI_Ethernet_confNetwork(char *ipMask, char *gwIpAddr, char *dnsIpAddr);
#line 70 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
sfr sbit SPI_Ethernet_Rst at RC0_bit;
sfr sbit SPI_Ethernet_CS at RC1_bit;
sfr sbit SPI_Ethernet_Rst_Direction at TRISC0_bit;
sfr sbit SPI_Ethernet_CS_Direction at TRISC1_bit;
#line 79 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
const unsigned char httpHeader[] = "HTTP/1.1 200 OK\nContent-type: " ;
const unsigned char httpMimeTypeHTML[] = "text/html\n\n" ;
const unsigned char httpMimeTypeScript[] = "text/plain\n\n" ;
unsigned char httpMethod[] = "GET /";
#line 89 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
const char *indexPage =
#line 111 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
"<meta http-equiv=\"refresh\" content=\"3;url=http://192.168.20.60\"><HTML><HEAD></HEAD><BODY><h1>PIC + ENC28J60 Mini Web Server</h1><a href=/>Reload</a><script src=/s></script><table><tr><td valign=top><table border=1 style=\"font-size:20px ;font-family: terminal ;\"><tr><th colspan=2>ADC</th></tr><tr><td>AN2</td><td><script>document.write(AN2)</script></td></tr><tr><td>AN3</td><td><script>document.write(AN3)</script></td></tr></table></td><td><table border=1 style=\"font-size:20px ;font-family: terminal ;\"><tr><th colspan=2>PORTB</th></tr><script>var str,i;str=\"\";for(i=0;i<8;i++){str+=\"<tr><td bgcolor=pink>BUTTON #\"+i+\"</td>\";if(PORTB&(1<<i)){str+=\"<td bgcolor=red>ON\";}else {str+=\"<td bgcolor=#cccccc>OFF\";}str+=\"</td></tr>\";}document.write(str) ;</script>" ;
#line 128 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
const char *indexPage2 = "</table></td><td><table border=1 style=\"font-size:20px ;font-family: terminal ;\"><tr><th colspan=3>PORTD</th></tr><script>var str,i;str=\"\";for(i=0;i<8;i++){str+=\"<tr><td bgcolor=yellow>LED #\"+i+\"</td>\";if(PORTD&(1<<i)){str+=\"<td bgcolor=red>ON\";}else {str+=\"<td bgcolor=#cccccc>OFF\";}str+=\"</td><td><a href=/t\"+i+\">Toggle</a></td></tr>\";}document.write(str) ;</script></table></td></tr></table>This is HTTP request #<script>document.write(REQ)</script></BODY></HTML>" ;
#line 134 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
unsigned char myMacAddr[6] = {0x00, 0x1B, 0x9E, 0xAA, 0x5D, 0x8A} ;

unsigned char myIpAddr[4] = {192, 168, 1, 2} ;
unsigned char getRequest[15] ;
unsigned char dyna[30] ;
unsigned long httpCounter = 0 ;
#line 204 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
unsigned int SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthPktFlags *flags)
{
 unsigned int len = 0 ;
 unsigned int i ;






 if(localPort != 80)
 {
 return(0) ;
 }


 for(i = 0 ; i < 10 ; i++)
 {
 getRequest[i] = SPI_Ethernet_getByte() ;
 }
 getRequest[i] = 0 ;

 if(memcmp(getRequest, httpMethod, 5))
 {
 return(0) ;
 }

 httpCounter++ ;

 if(getRequest[5] == 's')
 {



 len =  SPI_Ethernet_putConstString (httpHeader) ;
 len +=  SPI_Ethernet_putConstString (httpMimeTypeScript) ;


 IntToStr(ADC_Read(2), dyna) ;
 len +=  SPI_Ethernet_putConstString ("var AN2=") ;
 len +=  SPI_Ethernet_putString (dyna) ;
 len +=  SPI_Ethernet_putConstString (";") ;


 IntToStr(ADC_Read(3), dyna) ;
 len +=  SPI_Ethernet_putConstString ("var AN3=") ;
 len +=  SPI_Ethernet_putString (dyna) ;
 len +=  SPI_Ethernet_putConstString (";") ;


 len +=  SPI_Ethernet_putConstString ("var PORTB=") ;
 IntToStr(PORTB, dyna) ;
 len +=  SPI_Ethernet_putString (dyna) ;
 len +=  SPI_Ethernet_putConstString (";") ;


 len +=  SPI_Ethernet_putConstString ("var PORTD=") ;
 IntToStr(PORTD, dyna) ;
 len +=  SPI_Ethernet_putString (dyna) ;
 len +=  SPI_Ethernet_putConstString (";") ;


 IntToStr(httpCounter, dyna) ;
 len +=  SPI_Ethernet_putConstString ("var REQ=") ;
 len +=  SPI_Ethernet_putString (dyna) ;
 len +=  SPI_Ethernet_putConstString (";") ;
 }
 else if(getRequest[5] == 't')
 {
 unsigned char bitMask = 0 ;

 if(isdigit(getRequest[6]))
 {
 bitMask = getRequest[6] - '0' ;
 bitMask = 1 << bitMask ;
 PORTD ^= bitMask ;
 }
 }

 if(len == 0)
 {
 len =  SPI_Ethernet_putConstString (httpHeader) ;
 len +=  SPI_Ethernet_putConstString (httpMimeTypeHTML) ;
 len +=  SPI_Ethernet_putConstString (indexPage) ;
 len +=  SPI_Ethernet_putConstString (indexPage2) ;
 }

 return(len) ;
 }
#line 304 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
unsigned int SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength, TEthPktFlags *flags)
 {
 unsigned int len ;


 ByteToStr(remoteHost[0], dyna) ;
 dyna[3] = '.' ;
 ByteToStr(remoteHost[1], dyna + 4) ;
 dyna[7] = '.' ;
 ByteToStr(remoteHost[2], dyna + 8) ;
 dyna[11] = '.' ;
 ByteToStr(remoteHost[3], dyna + 12) ;

 dyna[15] = ':' ;


 WordToStr(remotePort, dyna + 16) ;
 dyna[21] = '[' ;
 WordToStr(destPort, dyna + 22) ;
 dyna[27] = ']' ;
 dyna[28] = 0 ;


 len = 28 + reqLength;


 SPI_Ethernet_putBytes(dyna, 28) ;


 while(reqLength--)
 {
 SPI_Ethernet_putByte(toupper(SPI_Ethernet_getByte())) ;
 }

 return(len) ;
 }
#line 344 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
void main()
 {
 ANSEL = 0x0C ;
 C1ON_bit = 0;
 C2ON_bit = 0;

 TRISA = 0xff ;
 TRISB = 0xff ;
 TRISD = 0 ;

 PORTA = 0 ;
 ANSELH = 0;
 PORTB = 0 ;
 PORTD = 0 ;
#line 366 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
 SPI1_Init();
 SPI_Ethernet_Init(myMacAddr, myIpAddr,  0x01 ) ;

 while(1)
 {
#line 374 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
 SPI_Ethernet_doPacket() ;
  SPI_Ethernet_putString ("Hello world!!");
#line 381 "E:/my_data/dev/micropic/ethernet/mikroc/serial_eth.c"
 }
 }
