#define SPI_Ethernet_HALFDUPLEX     0
#define SPI_Ethernet_FULLDUPLEX     1

sfr sbit SPI_Ethernet_Rst at RC0_bit;
sfr sbit SPI_Ethernet_CS  at RC1_bit;
sfr sbit SPI_Ethernet_Rst_Direction at TRISC0_bit;
sfr sbit SPI_Ethernet_CS_Direction  at TRISC1_bit;


unsigned char   myMacAddr[6] = {0x00, 0x14, 0xA5, 0x76, 0x19, 0x3f} ;           // MAC do ENC

unsigned char   myIpAddr[4]  = {192, 168, 0, 170} ;                             // IP do ENC

unsigned char   gwIpAddr[4]  = {192, 168, 0, 1} ;                               // Gateway do ROUTER

unsigned char   ipMask[4]    = {255, 255, 255, 0} ;                             // Mscara da rede

unsigned char   dnsIpAddr[4] = {0, 0, 0, 0} ;                                   // DNS

// Source port
unsigned int fontePort = 15000;

// Ip of computer
unsigned char destinoIp[10][4];

// Destine Port
unsigned int destinoPort = 13000;

// Data to send
unsigned char status_atual[] = "0000000000000000000000";


unsigned char copia[4] = {192,168,0 ,0};

unsigned char copia2[2] = {141, 144};

int x = 0;


unsigned int SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, char *canClose)
{
         return 0;
}

unsigned int SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength)
{
                 SPI_Ethernet_UserTimerSec++;

                return 0;
}

// Configuration of pc's ip
void Inicializar_Ip()
{
      destinoIp[0][0] = copia[0];
      destinoIp[0][1] = copia[1];
      destinoIp[0][2] = copia[2];
      destinoIp[0][3] = copia2[0];

      destinoIp[1][0] = copia[0];
      destinoIp[1][1] = copia[1];
      destinoIp[1][2] = copia[2];
      destinoIp[1][3] = copia2[1];
}


void Setup()
{
   // Todas as analgicas esto desabilitadas
   ADCON1 = 0b0111;

   // Portas do grupo D como saida
   TRISD.F0 = 0;
   TRISD.F1 = 0;
   TRISD.F2 = 0;
   TRISD.F3 = 0;
   TRISD.F4 = 0;

   // Portas do grupo D como entrada
   TRISD.F5 = 1;
   TRISD.F6 = 1;
   TRISD.F7 = 1;

   Delay_100ms();

   // Inicializao das saidas do grupo D
   PORTD.F0 = 0;
   PORTD.F1 = 0;
   PORTD.F2 = 0;
   PORTD.F3 = 0;
   PORTD.F4 = 0;

   Delay_100ms();

   Inicializar_Ip();

   Delay_100ms();

   SPI1_Init();

   Delay_100ms();

   SPI_Ethernet_Init(myMacAddr, myIpAddr, SPI_Ethernet_FULLDUPLEX);

   Delay_100ms();

   SPI_Ethernet_confNetwork(ipMask, gwIpAddr, dnsIpAddr);

   Delay_100ms();
}


// SEND DATA TO PC
void Enviar_Dados(unsigned char *mensagem)
{

    // Just change the value above 1 or 2, when I put 1 the code runs perfectly
    // but when I put 2 the code stays waiting for something that it should not
    for(x = 0; x < 2; x++)
    {
       //    SPI_Ethernet_doPacket();

           SPI_Ethernet_UserTimerSec++;

           PORTD.F3 = 1;
           
           /*
           Here is my problem. As I said when the code is like this I need to send 5 udp datas
           from my pc to enc(a data like "000000"), but when I use that if above I must send just 1
           udp data
           */
           

           //if(SPI_Ethernet_arpResolve(destinoIp[x], 1))
           //{
              SPI_Ethernet_sendUDP(destinoIp[x], fontePort, destinoPort, mensagem, 22);
              //SPI_Ethernet_sendUDP(destinoIp[x], fontePort, destinoPort, "1", 1);
           //}

           PORTD.F3 = 0;

       //}

    }
}

void main()
{
    Setup();

    Delay_100ms();

    //SPI_Ethernet_initDHCP(5);

    //Delay_100ms();

    //SPI_Ethernet_doDHCP();

    while(1)
    {
        SPI_Ethernet_doPacket();

        Enviar_Dados(status_atual);
    }
}
