#line 1 "E:/my_data/dev/micropic/ethernet/mikroc/beta.c"



sfr sbit SPI_Ethernet_Rst at RC0_bit;
sfr sbit SPI_Ethernet_CS at RC1_bit;
sfr sbit SPI_Ethernet_Rst_Direction at TRISC0_bit;
sfr sbit SPI_Ethernet_CS_Direction at TRISC1_bit;


unsigned char myMacAddr[6] = {0x00, 0x14, 0xA5, 0x76, 0x19, 0x3f} ;

unsigned char myIpAddr[4] = {192, 168, 0, 170} ;

unsigned char gwIpAddr[4] = {192, 168, 0, 1} ;

unsigned char ipMask[4] = {255, 255, 255, 0} ;

unsigned char dnsIpAddr[4] = {0, 0, 0, 0} ;


unsigned int fontePort = 15000;


unsigned char destinoIp[10][4];


unsigned int destinoPort = 13000;


unsigned char status_atual[] = "0000000000000000000000";


unsigned char copia[4] = {192,168,0 ,0};

unsigned char copia2[2] = {141, 144};

int x = 0;


unsigned int SPI_Ethernet_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, char *canClose)
{
 return 0;
}

unsigned int SPI_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength)
{
 SPI_Ethernet_UserTimerSec++;

 return 0;
}


void Inicializar_Ip()
{
 destinoIp[0][0] = copia[0];
 destinoIp[0][1] = copia[1];
 destinoIp[0][2] = copia[2];
 destinoIp[0][3] = copia2[0];

 destinoIp[1][0] = copia[0];
 destinoIp[1][1] = copia[1];
 destinoIp[1][2] = copia[2];
 destinoIp[1][3] = copia2[1];
}


void Setup()
{

 ADCON1 = 0b0111;


 TRISD.F0 = 0;
 TRISD.F1 = 0;
 TRISD.F2 = 0;
 TRISD.F3 = 0;
 TRISD.F4 = 0;


 TRISD.F5 = 1;
 TRISD.F6 = 1;
 TRISD.F7 = 1;

 Delay_100ms();


 PORTD.F0 = 0;
 PORTD.F1 = 0;
 PORTD.F2 = 0;
 PORTD.F3 = 0;
 PORTD.F4 = 0;

 Delay_100ms();

 Inicializar_Ip();

 Delay_100ms();

 SPI1_Init();

 Delay_100ms();

 SPI_Ethernet_Init(myMacAddr, myIpAddr,  1 );

 Delay_100ms();

 SPI_Ethernet_confNetwork(ipMask, gwIpAddr, dnsIpAddr);

 Delay_100ms();
}



void Enviar_Dados(unsigned char *mensagem)
{



 for(x = 0; x < 2; x++)
 {


 SPI_Ethernet_UserTimerSec++;

 PORTD.F3 = 1;
#line 136 "E:/my_data/dev/micropic/ethernet/mikroc/beta.c"
 SPI_Ethernet_sendUDP(destinoIp[x], fontePort, destinoPort, mensagem, 22);



 PORTD.F3 = 0;



 }
}

void main()
{
 Setup();

 Delay_100ms();







 while(1)
 {
 SPI_Ethernet_doPacket();

 Enviar_Dados(status_atual);
 }
}
