#line 1 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
#line 49 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
unsigned char macAddr[6] = {0x00, 0x14, 0xA5, 0x76, 0x19, 0x3f} ;

unsigned char ipAddr[4] = {192, 168, 1, 101} ;

unsigned char destIpAddr[4] ;

unsigned char transmit = 0 ;
unsigned char tmr = 0 ;
unsigned long longTmr = 0 ;
unsigned int destPortNum = 0 ;
char udpStr[16] = "PORTB=" ;


struct
 {
 unsigned char valid ;
 unsigned long tmr ;
 unsigned char ip[4] ;
 unsigned char mac[6] ;
 } arpCache[ 3 ] ;
#line 79 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
unsigned char *arpResolv(unsigned char *ip)
 {
 unsigned char i ;
 unsigned int rdptr ;
 unsigned char freeSlot ;
 unsigned long tmrSlot ;

 tmrSlot = 0xffffffff ;


 for(i = 0 ; i <  3 ; i++)
 {

 if(arpCache[i].tmr < longTmr - 1000)
 {
 arpCache[i].tmr = 0 ;
 arpCache[i].valid = 0 ;
 }


 if(arpCache[i].valid && (memcmp(arpCache[i].ip, ip, 4) == 0))
 {
 return(arpCache[i].mac) ;
 }


 if(arpCache[i].tmr < tmrSlot)
 {
 tmrSlot = arpCache[i].tmr ;
 freeSlot = i ;
 }
 }


 Spi_Ethernet_clearBitReg( 0x1f , 0b00000001) ;
 Spi_Ethernet_clearBitReg( 0x1f , 0b00000010) ;
#line 119 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_memcpy( ( 0x19AE  + 1) , "\xff\xff\xff\xff\xff\xff", 6) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 6, macAddr, 6) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 12, 8, 6, 1) ;
#line 133 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 14, "\x0\x01\x08\x00\x06\x04\x00\x01", 8) ;

 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 22, macAddr, 6) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 28, ipAddr, 4) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 32, "\0\0\0\0\0\0", 6) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 38, ip, 4) ;
#line 143 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_txPacket(42) ;

 tmr = 0 ;
 while(tmr < 45)
 {
 Spi_Ethernet_doPacket() ;


 Spi_Ethernet_clearBitReg( 0x1f , 0b00000001) ;
 Spi_Ethernet_clearBitReg( 0x1f , 0b00000010) ;
#line 158 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 rdptr = (Spi_Ethernet_readReg( 0x01 ) << 8) + Spi_Ethernet_readReg( 0x00 ) ;
#line 163 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 if((Spi_Ethernet_memcmp( ( 0x19AE  + 1)  + 12, "\x08\x06\x00\x01\x08\x00\x06\x04\x00\x02", 10) == 0)
 && (Spi_Ethernet_memcmp( ( 0x19AE  + 1) , macAddr, 6) == 0)
 && (Spi_Ethernet_memcmp( ( 0x19AE  + 1)  + 28, ip, 4) == 0)
 )
 {
#line 173 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 arpCache[freeSlot].mac[0] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 22) ;
 arpCache[freeSlot].mac[1] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 23) ;
 arpCache[freeSlot].mac[2] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 24) ;
 arpCache[freeSlot].mac[3] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 25) ;
 arpCache[freeSlot].mac[4] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 26) ;
 arpCache[freeSlot].mac[5] = Spi_Ethernet_readMem( ( 0x19AE  + 1)  + 27) ;


 memcpy(arpCache[freeSlot].ip, ip, 4) ;


 arpCache[freeSlot].valid = 1 ;


 arpCache[freeSlot].tmr = longTmr ;


 Spi_Ethernet_writeAddr( 0x00 , rdptr) ;


 return(arpCache[freeSlot].mac) ;
 }


 Spi_Ethernet_writeAddr( 0x00 , rdptr) ;
 }


 return((unsigned char *) 0 ) ;
 }
#line 212 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
void sendUDP(unsigned char *destIP, unsigned int sourcePort, unsigned int destPort, unsigned char *pkt, unsigned int pktLen)
 {
 unsigned char *destMac ;
 static int idUniq ;
 unsigned char align ;
 unsigned int totlen ;
 unsigned int rdptr ;


 if(destPort == 0)
 {
 return ;
 }


 if((destMac = arpResolv(destIP)) ==  0 )
 {
 return ;
 }


 Spi_Ethernet_clearBitReg( 0x1f , 0b00000001) ;
 Spi_Ethernet_clearBitReg( 0x1f , 0b00000010) ;
#line 240 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 rdptr = (Spi_Ethernet_readReg( 0x01 ) << 8) + Spi_Ethernet_readReg( 0x00 ) ;
#line 245 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_memcpy( ( 0x19AE  + 1) , destMAC, 6) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 6, macAddr, 6) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 12, 8, 0, 1) ;
#line 252 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 totlen = 20 + 8 + pktLen ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 14, 0x45, 0, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 16, totlen >> 8, totlen, 1) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 18, (char *)&(idUniq++), 2) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 20, 0, 0, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 22, 0x80, 0x11, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 24, 0, 0, 1) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 26, ipAddr, 4) ;
 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 30, destIP, 4) ;
#line 265 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 totlen = pktLen + 8 ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 34, sourcePort >> 8, sourcePort, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 36, destPort >> 8, destPort, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 38, totlen >> 8, totlen, 1) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 40, 0, 0, 1) ;

 Spi_Ethernet_memcpy( ( 0x19AE  + 1)  + 42, pkt, pktLen) ;
#line 276 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_checksum( ( 0x19AE  + 1)  + 14, 20) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 24, Spi_Ethernet_readReg( 0x17 ), Spi_Ethernet_readReg( 0x16 ), 1) ;
#line 284 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 align = totlen & 1 ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 42 + pktLen, 0, 0, 0) ;


 Spi_Ethernet_RAMcopy( ( 0x19AE  + 1)  + 26,  ( 0x19AE  + 1)  + 26 + 8,  ( 0x19AE  + 1)  + 42 + pktLen + align, 0) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 42 + pktLen + align + 8, 0, 17, 1) ;
 Spi_Ethernet_putByte(totlen >> 8) ;
 Spi_Ethernet_putByte(totlen) ;


 Spi_Ethernet_checksum( ( 0x19AE  + 1)  + 34, totlen + 12 + align) ;
 Spi_Ethernet_writeMemory( ( 0x19AE  + 1)  + 40, Spi_Ethernet_readReg( 0x17 ), Spi_Ethernet_readReg( 0x16 ), 1) ;
#line 300 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Ethernet_txPacket(42 + pktLen) ;


 Spi_Ethernet_writeAddr( 0x00 , rdptr) ;
 }
#line 310 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
unsigned int Spi_Ethernet_userTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength)
 {
 return(0) ;
 }
#line 318 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
unsigned int Spi_Ethernet_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int destPort, unsigned int reqLength)
 {
 if(destPort != 33000) return(0) ;

 switch(Spi_Ethernet_getByte())
 {

 case 'b':
 case 'B':
 transmit = 1 ;
 memcpy(destIPAddr, remoteHost, 4) ;
 destPortNum = remotePort ;
 Spi_Ethernet_putByte('B') ;
 Spi_Ethernet_putByte('e') ;
 Spi_Ethernet_putByte('g') ;
 Spi_Ethernet_putByte('i') ;
 Spi_Ethernet_putByte('n') ;
 return(5) ;


 case 'e':
 case 'E':
 transmit = 0 ;
 Spi_Ethernet_putByte('E') ;
 Spi_Ethernet_putByte('n') ;
 Spi_Ethernet_putByte('d') ;
 return(3) ;


 default:
 Spi_Ethernet_putByte('?') ;
 return(1) ;
 }
 }
#line 358 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
void interrupt()
 {
 if(PIR1.TMR1IF)
 {
 tmr++ ;
 longTmr++ ;
 PIR1.TMR1IF = 0 ;
 }
 }
#line 370 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
void main()
 {
 PORTB = 0 ;
 TRISB = 0xff ;

 PORTC = 0 ;
 TRISC = 0b11011100 ;

 T1CON = 0b10110101 ;
 PIR1.TMR1IF = 0 ;
 PIE1.TMR1IE = 1 ;
 INTCON |= 0b11000000 ;


 memset(&arpCache, 0, sizeof(arpCache)) ;
#line 393 "E:/my_data/dev/micropic/ethernet/mikroc/eth_test.c"
 Spi_Init() ;
 Spi_Ethernet_Init(&PORTC, 0, &PORTC, 1, macAddr, ipAddr,  1 ) ;

 while(1)
 {
 Spi_Ethernet_doPacket() ;

 if(transmit && (tmr > 15))
 {
 ByteToStr(PORTB, udpStr + 6) ;
 sendUDP(destIpAddr, 3456, destPortNum, udpStr, sizeof(udpStr)) ;
 tmr = 0 ;
 }
 }
 }
